% sript for testing structure estimating function

% run just time-to-time - do not forget to copy resulting values to
% test_arx_straux.cpp!!!
if 0
    A=rand(3)
    B=rand(3)
    % when run, copy output to the else section
else
    A=[   0.8147    0.9134    0.2785;
    0.9058    0.6324    0.5469;
    0.1270    0.0975    0.9575];

    B=[0.9649    0.9572    0.1419;
    0.1576    0.4854    0.4218;
    0.9706    0.8003    0.9157];
end

[L0,D0]=ldform(A,eye(3));
[L1,D1]=ldform(A+B,eye(3));

% structure estimation - copied form facstr
belief = 2;           % default belief
nbest = 1;           % nbest: how many regressors are returned
nrep = 5;         % nrep: number of random repetions of structure estimation
lambda   = 0.9; 
k=2;

% [strout, rgrsout, statistics] = 
%          straux1(L, d, nu, L0, d0, nu0, belief, nbest, max_nrep, lambda,
%          order_k);
[o1,o2,o3]=straux1(L1,diag(D1),20, L0, diag(D0), 10,  belief, nbest, nrep, lambda, k);
